package com.jscape.inet.sftp.protocol.v3.messages;

import static com.jscape.util.Parameters.assertNotNull;

/**
* @author Alex Usun
*/
public class NameEntry {

    public final String filename;
    public final String longName;
    public final FileAttributes attributes;

    public NameEntry(String filename, String longName, FileAttributes attributes) {
        assertNotNull(filename);
        this.filename = filename;

        assertNotNull(longName);
        this.longName = longName;

        assertNotNull(attributes);
        this.attributes = attributes;
    }

    @Override
    public String toString() {
        return "NameEntry {"
               + "filename='" + this.filename + '\''
               + ", longName='" + this.longName + '\''
               + ", attributes=" + this.attributes
               + '}';
    }

}
